#!/usr/bin/env bash
#   *** validation ***
scripts/run-validator-tests.sh
scripts/run-checker-tests.sh

#    *** tests ***
mkdir -p tests
echo "Generating test #3"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 4 4 4 0 299877441" "tests/03" 3
echo "Generating test #4"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 2 3 3 1 199935953" "tests/04" 4
echo "Generating test #5"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 3 3 2 2 562952101" "tests/05" 5
echo "Generating test #6"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 4 2 5 2 629092062" "tests/06" 6
echo "Generating test #7"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 2 0 166250534" "tests/07" 7
echo "Generating test #8"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 2 2 736132884" "tests/08" 8
echo "Generating test #9"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 5 1 427831702" "tests/09" 9
echo "Generating test #10"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 5 6 730749984" "tests/10" 10
echo "Generating test #11"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 4 5 2 0 916121330" "tests/11" 11
echo "Generating test #12"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 5 1 932152499" "tests/12" 12
echo "Generating test #13"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 4 3 26 2 71488993" "tests/13" 13
echo "Generating test #14"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 3 5 26 2 203291922" "tests/14" 14
echo "Generating test #15"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 5 5 242292499" "tests/15" 15
echo "Generating test #16"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 2 2 530692492" "tests/16" 16
echo "Generating test #17"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 1 1 53883819" "tests/17" 17
echo "Generating test #18"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 6 6 604512677" "tests/18" 18
echo "Generating test #19"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 5 1 1 0" "tests/19" 19
echo "Generating test #20"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 5 1 0" "tests/20" 20
echo "Generating test #21"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 5 1 5 10" "tests/21" 21
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 5 5 10" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 3 5 0.5" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 3 5 0.8" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 5 5 2" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 5 5 3" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 5 5 4" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 6 6 5 0 340062284" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 8 5 4 2 582956116" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 8 9 4 5 960888432" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 7 6 5 6 382083233" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 5 0 322211661" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 5 5 393127156" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 3 2 60685903" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 2 15 390191431" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 7 6 5 0 627464415" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 5 5 10 2 84981463" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 9 7 26 5 629390844" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 7 8 26 6 404334317" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 10 10 92226851" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 5 5 483564154" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 2 2 725912878" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 10 15 15 193809834" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 10 7 1000000" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 10 8 1000000" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 10 9 1000000" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 10 10 1000000" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 1 1 0" "tests/48" 48
echo "Generating test #49"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 10 1 0" "tests/49" 49
echo "Generating test #50"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 10 1 10 10" "tests/50" 50
echo "Generating test #51"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 10 10 10" "tests/51" 51
echo "Generating test #52"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 9 10 0.5" "tests/52" 52
echo "Generating test #53"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 9 10 0.8" "tests/53" 53
echo "Generating test #54"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 9 10 0.9" "tests/54" 54
echo "Generating test #55"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 9 10 0.95" "tests/55" 55
echo "Generating test #56"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 10 10 2" "tests/56" 56
echo "Generating test #57"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 10 10 3" "tests/57" 57
echo "Generating test #58"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 10 10 4" "tests/58" 58
echo "Generating test #59"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 10 10 5" "tests/59" 59
echo "Generating test #60"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 10 2 0 972494791" "tests/60" 60
echo "Generating test #61"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 12 13 2 4 525684634" "tests/61" 61
echo "Generating test #62"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 18 13 3 10 9186444" "tests/62" 62
echo "Generating test #63"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 11 2 12 870710446" "tests/63" 63
echo "Generating test #64"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 2 0 256816225" "tests/64" 64
echo "Generating test #65"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 5 10 229421079" "tests/65" 65
echo "Generating test #66"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 4 4 795978684" "tests/66" 66
echo "Generating test #67"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 2 30 996486711" "tests/67" 67
echo "Generating test #68"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 16 19 10 0 438110801" "tests/68" 68
echo "Generating test #69"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 19 20 20 4 527837535" "tests/69" 69
echo "Generating test #70"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 10 15 26 10 279724947" "tests/70" 70
echo "Generating test #71"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 15 15 26 12 800220585" "tests/71" 71
echo "Generating test #72"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 20 20 452332823" "tests/72" 72
echo "Generating test #73"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 10 10 396773334" "tests/73" 73
echo "Generating test #74"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 4 4 340886008" "tests/74" 74
echo "Generating test #75"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 20 20 30 30 824604865" "tests/75" 75
echo "Generating test #76"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 20 15 1000000" "tests/76" 76
echo "Generating test #77"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 20 17 1000000" "tests/77" 77
echo "Generating test #78"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 20 19 1000000" "tests/78" 78
echo "Generating test #79"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 20 20 1000000" "tests/79" 79
echo "Generating test #80"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 1 1 0" "tests/80" 80
echo "Generating test #81"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 20 1 0" "tests/81" 81
echo "Generating test #82"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 20 1 20 10" "tests/82" 82
echo "Generating test #83"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 20 20 10" "tests/83" 83
echo "Generating test #84"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 18 20 0.5" "tests/84" 84
echo "Generating test #85"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 18 20 0.8" "tests/85" 85
echo "Generating test #86"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 18 20 0.9" "tests/86" 86
echo "Generating test #87"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 18 20 0.95" "tests/87" 87
echo "Generating test #88"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 20 20 2" "tests/88" 88
echo "Generating test #89"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 20 20 3" "tests/89" 89
echo "Generating test #90"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 20 20 4" "tests/90" 90
echo "Generating test #91"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 20 20 5" "tests/91" 91
echo "Generating test #92"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 10 10 10" "tests/92" 92
echo "Generating test #93"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 58 96 5 0 539581625" "tests/93" 93
echo "Generating test #94"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 78 57 2 20 705568304" "tests/94" 94
echo "Generating test #95"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 52 79 3 50 893663591" "tests/95" 95
echo "Generating test #96"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 68 60 3 66 366146274" "tests/96" 96
echo "Generating test #97"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 4 0 267858264" "tests/97" 97
echo "Generating test #98"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 2 50 72790673" "tests/98" 98
echo "Generating test #99"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 5 20 29770505" "tests/99" 99
echo "Generating test #100"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 2 150 487101054" "tests/100" 100
echo "Generating test #101"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 63 75 50 0 428943392" "tests/101" 101
echo "Generating test #102"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 61 70 100 20 437832762" "tests/102" 102
echo "Generating test #103"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 78 96 26 50 257310213" "tests/103" 103
echo "Generating test #104"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 82 90 26 66 930785727" "tests/104" 104
echo "Generating test #105"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 100 100 268603403" "tests/105" 105
echo "Generating test #106"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 50 50 875654332" "tests/106" 106
echo "Generating test #107"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 20 20 18152824" "tests/107" 107
echo "Generating test #108"
scripts/gen-input-via-stdout.sh "python3 files/gen_grid.pys3 100 100 150 150 129176589" "tests/108" 108
echo "Generating test #109"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 100 80 1000000" "tests/109" 109
echo "Generating test #110"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 100 97 1000000" "tests/110" 110
echo "Generating test #111"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 100 98 1000000" "tests/111" 111
echo "Generating test #112"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 100 99 1000000" "tests/112" 112
echo "Generating test #113"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 100 100 1000000" "tests/113" 113
echo "Generating test #114"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 1 1 0" "tests/114" 114
echo "Generating test #115"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 100 1 0" "tests/115" 115
echo "Generating test #116"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 100 1 100 10" "tests/116" 116
echo "Generating test #117"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 100 100 10" "tests/117" 117
echo "Generating test #118"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 99 100 0.5" "tests/118" 118
echo "Generating test #119"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 99 100 0.8" "tests/119" 119
echo "Generating test #120"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 99 100 0.9" "tests/120" 120
echo "Generating test #121"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 99 100 0.95" "tests/121" 121
echo "Generating test #122"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 3" "tests/122" 122
echo "Generating test #123"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 4" "tests/123" 123
echo "Generating test #124"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 5" "tests/124" 124
echo "Generating test #125"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 10" "tests/125" 125
echo "Generating test #126"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 20" "tests/126" 126
echo "Generating test #127"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 50" "tests/127" 127
echo "Generating test #128"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 100" "tests/128" 128
echo "Generating test #129"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 500" "tests/129" 129
echo "Generating test #130"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 100 100 1000" "tests/130" 130
echo "Generating test #131"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 300 240 1000000" "tests/131" 131
echo "Generating test #132"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 300 260 1000000" "tests/132" 132
echo "Generating test #133"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 300 280 1000000" "tests/133" 133
echo "Generating test #134"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 300 290 1000000" "tests/134" 134
echo "Generating test #135"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 300 300 1000000" "tests/135" 135
echo "Generating test #136"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 1 1 0" "tests/136" 136
echo "Generating test #137"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 300 1 0" "tests/137" 137
echo "Generating test #138"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 300 1 300 10" "tests/138" 138
echo "Generating test #139"
scripts/gen-input-via-stdout.sh "wine files/gen_squares.exe 1 300 300 10" "tests/139" 139
echo "Generating test #140"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 300 300 0.5" "tests/140" 140
echo "Generating test #141"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 300 300 0.8" "tests/141" 141
echo "Generating test #142"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 300 300 0.9" "tests/142" 142
echo "Generating test #143"
scripts/gen-input-via-stdout.sh "wine files/gen_layers.exe 300 300 0.95" "tests/143" 143
echo "Generating test #144"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 3" "tests/144" 144
echo "Generating test #145"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 4" "tests/145" 145
echo "Generating test #146"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 5" "tests/146" 146
echo "Generating test #147"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 10" "tests/147" 147
echo "Generating test #148"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 20" "tests/148" 148
echo "Generating test #149"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 50" "tests/149" 149
echo "Generating test #150"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 100" "tests/150" 150
echo "Generating test #151"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 300" "tests/151" 151
echo "Generating test #152"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 1000" "tests/152" 152
echo "Generating test #153"
scripts/gen-input-via-stdout.sh "wine files/gen_voronoy.exe 300 300 3000" "tests/153" 153
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a "tests" "0"
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a "tests" "0"
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a "tests" "1"
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a "tests" "1"
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a "tests" "1"
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a "tests" "1"
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a "tests" "1"
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a "tests" "1"
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a "tests" "1"
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a "tests" "1"
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a "tests" "1"
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a "tests" "1"
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a "tests" "1"
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a "tests" "1"
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a "tests" "1"
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a "tests" "1"
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a "tests" "1"
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a "tests" "1"
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a "tests" "1"
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a "tests" "1"
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a "tests" "1"
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a "tests" "1"
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a "tests" "1"
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a "tests" "1"
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a "tests" "1"
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a "tests" "1"
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a "tests" "1"
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a "tests" "2"
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a "tests" "2"
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a "tests" "2"
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a "tests" "2"
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a "tests" "2"
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a "tests" "2"
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a "tests" "2"
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a "tests" "2"
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a "tests" "2"
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a "tests" "2"
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a "tests" "2"
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a "tests" "2"
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a "tests" "2"
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a "tests" "2"
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a "tests" "2"
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a "tests" "2"
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a "tests" "2"
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a "tests" "2"
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a "tests" "2"
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a "tests" "2"
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a "tests" "2"
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a "tests" "2"
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a "tests" "2"
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a "tests" "2"
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a "tests" "2"
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a "tests" "2"
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a "tests" "2"
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a "tests" "2"
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a "tests" "2"
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a "tests" "2"
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a "tests" "2"
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a "tests" "2"
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a "tests" "3"
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a "tests" "3"
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a "tests" "3"
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a "tests" "3"
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a "tests" "3"
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a "tests" "3"
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a "tests" "3"
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a "tests" "3"
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a "tests" "3"
echo ""
echo "Generating answer for test #69"
scripts/gen-answer.sh tests/69 tests/69.a "tests" "3"
echo ""
echo "Generating answer for test #70"
scripts/gen-answer.sh tests/70 tests/70.a "tests" "3"
echo ""
echo "Generating answer for test #71"
scripts/gen-answer.sh tests/71 tests/71.a "tests" "3"
echo ""
echo "Generating answer for test #72"
scripts/gen-answer.sh tests/72 tests/72.a "tests" "3"
echo ""
echo "Generating answer for test #73"
scripts/gen-answer.sh tests/73 tests/73.a "tests" "3"
echo ""
echo "Generating answer for test #74"
scripts/gen-answer.sh tests/74 tests/74.a "tests" "3"
echo ""
echo "Generating answer for test #75"
scripts/gen-answer.sh tests/75 tests/75.a "tests" "3"
echo ""
echo "Generating answer for test #76"
scripts/gen-answer.sh tests/76 tests/76.a "tests" "3"
echo ""
echo "Generating answer for test #77"
scripts/gen-answer.sh tests/77 tests/77.a "tests" "3"
echo ""
echo "Generating answer for test #78"
scripts/gen-answer.sh tests/78 tests/78.a "tests" "3"
echo ""
echo "Generating answer for test #79"
scripts/gen-answer.sh tests/79 tests/79.a "tests" "3"
echo ""
echo "Generating answer for test #80"
scripts/gen-answer.sh tests/80 tests/80.a "tests" "3"
echo ""
echo "Generating answer for test #81"
scripts/gen-answer.sh tests/81 tests/81.a "tests" "3"
echo ""
echo "Generating answer for test #82"
scripts/gen-answer.sh tests/82 tests/82.a "tests" "3"
echo ""
echo "Generating answer for test #83"
scripts/gen-answer.sh tests/83 tests/83.a "tests" "3"
echo ""
echo "Generating answer for test #84"
scripts/gen-answer.sh tests/84 tests/84.a "tests" "3"
echo ""
echo "Generating answer for test #85"
scripts/gen-answer.sh tests/85 tests/85.a "tests" "3"
echo ""
echo "Generating answer for test #86"
scripts/gen-answer.sh tests/86 tests/86.a "tests" "3"
echo ""
echo "Generating answer for test #87"
scripts/gen-answer.sh tests/87 tests/87.a "tests" "3"
echo ""
echo "Generating answer for test #88"
scripts/gen-answer.sh tests/88 tests/88.a "tests" "3"
echo ""
echo "Generating answer for test #89"
scripts/gen-answer.sh tests/89 tests/89.a "tests" "3"
echo ""
echo "Generating answer for test #90"
scripts/gen-answer.sh tests/90 tests/90.a "tests" "3"
echo ""
echo "Generating answer for test #91"
scripts/gen-answer.sh tests/91 tests/91.a "tests" "3"
echo ""
echo "Generating answer for test #92"
scripts/gen-answer.sh tests/92 tests/92.a "tests" "3"
echo ""
echo "Generating answer for test #93"
scripts/gen-answer.sh tests/93 tests/93.a "tests" "4"
echo ""
echo "Generating answer for test #94"
scripts/gen-answer.sh tests/94 tests/94.a "tests" "4"
echo ""
echo "Generating answer for test #95"
scripts/gen-answer.sh tests/95 tests/95.a "tests" "4"
echo ""
echo "Generating answer for test #96"
scripts/gen-answer.sh tests/96 tests/96.a "tests" "4"
echo ""
echo "Generating answer for test #97"
scripts/gen-answer.sh tests/97 tests/97.a "tests" "4"
echo ""
echo "Generating answer for test #98"
scripts/gen-answer.sh tests/98 tests/98.a "tests" "4"
echo ""
echo "Generating answer for test #99"
scripts/gen-answer.sh tests/99 tests/99.a "tests" "4"
echo ""
echo "Generating answer for test #100"
scripts/gen-answer.sh tests/100 tests/100.a "tests" "4"
echo ""
echo "Generating answer for test #101"
scripts/gen-answer.sh tests/101 tests/101.a "tests" "4"
echo ""
echo "Generating answer for test #102"
scripts/gen-answer.sh tests/102 tests/102.a "tests" "4"
echo ""
echo "Generating answer for test #103"
scripts/gen-answer.sh tests/103 tests/103.a "tests" "4"
echo ""
echo "Generating answer for test #104"
scripts/gen-answer.sh tests/104 tests/104.a "tests" "4"
echo ""
echo "Generating answer for test #105"
scripts/gen-answer.sh tests/105 tests/105.a "tests" "4"
echo ""
echo "Generating answer for test #106"
scripts/gen-answer.sh tests/106 tests/106.a "tests" "4"
echo ""
echo "Generating answer for test #107"
scripts/gen-answer.sh tests/107 tests/107.a "tests" "4"
echo ""
echo "Generating answer for test #108"
scripts/gen-answer.sh tests/108 tests/108.a "tests" "4"
echo ""
echo "Generating answer for test #109"
scripts/gen-answer.sh tests/109 tests/109.a "tests" "4"
echo ""
echo "Generating answer for test #110"
scripts/gen-answer.sh tests/110 tests/110.a "tests" "4"
echo ""
echo "Generating answer for test #111"
scripts/gen-answer.sh tests/111 tests/111.a "tests" "4"
echo ""
echo "Generating answer for test #112"
scripts/gen-answer.sh tests/112 tests/112.a "tests" "4"
echo ""
echo "Generating answer for test #113"
scripts/gen-answer.sh tests/113 tests/113.a "tests" "4"
echo ""
echo "Generating answer for test #114"
scripts/gen-answer.sh tests/114 tests/114.a "tests" "4"
echo ""
echo "Generating answer for test #115"
scripts/gen-answer.sh tests/115 tests/115.a "tests" "4"
echo ""
echo "Generating answer for test #116"
scripts/gen-answer.sh tests/116 tests/116.a "tests" "4"
echo ""
echo "Generating answer for test #117"
scripts/gen-answer.sh tests/117 tests/117.a "tests" "4"
echo ""
echo "Generating answer for test #118"
scripts/gen-answer.sh tests/118 tests/118.a "tests" "4"
echo ""
echo "Generating answer for test #119"
scripts/gen-answer.sh tests/119 tests/119.a "tests" "4"
echo ""
echo "Generating answer for test #120"
scripts/gen-answer.sh tests/120 tests/120.a "tests" "4"
echo ""
echo "Generating answer for test #121"
scripts/gen-answer.sh tests/121 tests/121.a "tests" "4"
echo ""
echo "Generating answer for test #122"
scripts/gen-answer.sh tests/122 tests/122.a "tests" "4"
echo ""
echo "Generating answer for test #123"
scripts/gen-answer.sh tests/123 tests/123.a "tests" "4"
echo ""
echo "Generating answer for test #124"
scripts/gen-answer.sh tests/124 tests/124.a "tests" "4"
echo ""
echo "Generating answer for test #125"
scripts/gen-answer.sh tests/125 tests/125.a "tests" "4"
echo ""
echo "Generating answer for test #126"
scripts/gen-answer.sh tests/126 tests/126.a "tests" "4"
echo ""
echo "Generating answer for test #127"
scripts/gen-answer.sh tests/127 tests/127.a "tests" "4"
echo ""
echo "Generating answer for test #128"
scripts/gen-answer.sh tests/128 tests/128.a "tests" "4"
echo ""
echo "Generating answer for test #129"
scripts/gen-answer.sh tests/129 tests/129.a "tests" "4"
echo ""
echo "Generating answer for test #130"
scripts/gen-answer.sh tests/130 tests/130.a "tests" "4"
echo ""
echo "Generating answer for test #131"
scripts/gen-answer.sh tests/131 tests/131.a "tests" "5"
echo ""
echo "Generating answer for test #132"
scripts/gen-answer.sh tests/132 tests/132.a "tests" "5"
echo ""
echo "Generating answer for test #133"
scripts/gen-answer.sh tests/133 tests/133.a "tests" "5"
echo ""
echo "Generating answer for test #134"
scripts/gen-answer.sh tests/134 tests/134.a "tests" "5"
echo ""
echo "Generating answer for test #135"
scripts/gen-answer.sh tests/135 tests/135.a "tests" "5"
echo ""
echo "Generating answer for test #136"
scripts/gen-answer.sh tests/136 tests/136.a "tests" "5"
echo ""
echo "Generating answer for test #137"
scripts/gen-answer.sh tests/137 tests/137.a "tests" "5"
echo ""
echo "Generating answer for test #138"
scripts/gen-answer.sh tests/138 tests/138.a "tests" "5"
echo ""
echo "Generating answer for test #139"
scripts/gen-answer.sh tests/139 tests/139.a "tests" "5"
echo ""
echo "Generating answer for test #140"
scripts/gen-answer.sh tests/140 tests/140.a "tests" "5"
echo ""
echo "Generating answer for test #141"
scripts/gen-answer.sh tests/141 tests/141.a "tests" "5"
echo ""
echo "Generating answer for test #142"
scripts/gen-answer.sh tests/142 tests/142.a "tests" "5"
echo ""
echo "Generating answer for test #143"
scripts/gen-answer.sh tests/143 tests/143.a "tests" "5"
echo ""
echo "Generating answer for test #144"
scripts/gen-answer.sh tests/144 tests/144.a "tests" "5"
echo ""
echo "Generating answer for test #145"
scripts/gen-answer.sh tests/145 tests/145.a "tests" "5"
echo ""
echo "Generating answer for test #146"
scripts/gen-answer.sh tests/146 tests/146.a "tests" "5"
echo ""
echo "Generating answer for test #147"
scripts/gen-answer.sh tests/147 tests/147.a "tests" "5"
echo ""
echo "Generating answer for test #148"
scripts/gen-answer.sh tests/148 tests/148.a "tests" "5"
echo ""
echo "Generating answer for test #149"
scripts/gen-answer.sh tests/149 tests/149.a "tests" "5"
echo ""
echo "Generating answer for test #150"
scripts/gen-answer.sh tests/150 tests/150.a "tests" "5"
echo ""
echo "Generating answer for test #151"
scripts/gen-answer.sh tests/151 tests/151.a "tests" "5"
echo ""
echo "Generating answer for test #152"
scripts/gen-answer.sh tests/152 tests/152.a "tests" "5"
echo ""
echo "Generating answer for test #153"
scripts/gen-answer.sh tests/153 tests/153.a "tests" "5"
echo ""

