from random import *
from sys import argv
from collections import deque

n, m, k, its = map(int, argv[1 : 5])
k = min(k, 26)
seed(argv[-1])

a = [['.'] * m for i in range(n)]

for i in range(n):
	for j in range(m):
		a[i][j] = chr(ord('A') + randint(0, k - 1))


def get_comp(a, x, y):
	ans = [(x, y)]
	q = deque()
	used = [[False] * len(a[0]) for i in range(len(a))]
	used[x][y] = True
	q.append((x, y))
	while len(q) > 0:
		cx, cy = q.popleft()
		for dx, dy in ((0, -1), (0, 1), (-1, 0), (1, 0)):
			xx = cx + dx
			yy = cy + dy
			if 0 <= xx < n and 0 <= yy < m and a[xx][yy] == a[cx][cy] and not used[xx][yy]:
				used[xx][yy] = True
				q.append((xx, yy))
				ans.append((xx, yy))
	return ans


for i in range(its):
	x = randint(0, n - 1)
	y = randint(0, m - 1)
	ns = []
	for dx, dy in ((0, -1), (0, 1), (-1, 0), (1, 0)):
		xx = x + dx
		yy = y + dy
		if 0 <= xx < n and 0 <= yy < m:
			ns.append((xx, yy))
	xx, yy = ns[randint(0, len(ns) - 1)]
	cp = get_comp(a, xx, yy)
	for cx, cy in cp:
		a[cx][cy] = a[x][y]

print(n, m)
for i in range(n):
	print(''.join(a[i]))
