#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int q;
	cin >> q;
	vector<string> all, have;
	for (int i = 0; i < q; ++i) {
		char type;
		cin >> type;
		if (type == '+') {
			string s;
			cin >> s;
			all.push_back(s);
			have.push_back(s);
		} else if (type == '-') {
			int ind;
			cin >> ind;
			--ind;
			have.erase(find(have.begin(), have.end(), all[ind]));
		} else {
			int ind;
			cin >> ind;
			--ind;
			int ans = INF;
			function<void(int, int)> rec = [&](int pos, int steps) {
				if (pos == szof(all[ind])) {
					ans = min(ans, steps);
					return;
				}
				rec(pos + 1, steps + 1);
				vector<int> intr;
				for (int i = 0; i < szof(have); ++i) {
					if (szof(have[i]) >= pos && all[ind].substr(0, pos) == have[i].substr(0, pos)) {
						intr.push_back(i);
					}
				}
				int was = pos;
				for (; pos < szof(all[ind]); ++pos) {
					bool fl = false;
					for (int i : intr) {
						if (pos == szof(have[i]) || have[i][pos] != all[ind][pos]) {
							fl = true;
							break;
						}
					}
					if (fl) {
						break;
					}
				}
				if (was < pos) {
					rec(pos, steps + 1);
				}
			};

			rec(0, 0);

			cout << ans << "\n";
		}
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
