#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int dx[4] = {1, 0, -1, 0};
int dy[4] = {0, 1, 0, -1};

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);
	int m = atoi(argv[2]);
	int sz = atoi(argv[3]);
	vector<vector<char>> field(n, vector<char>(m));

	queue<pii> qu;
	for (int i = 0; i < sz; ++i) {
		int x, y;
		while (true) {
			x = rnd.next(0, n - 1);
			y = rnd.next(0, m - 1);
			if (field[x][y] == 0) {
				break;
			}
		}
		field[x][y] = 'A' + i % 26;
		qu.push({x, y});
	}

	while (szof(qu)) {
		int x, y;
		tie(x, y) = qu.front();
		qu.pop();
		for (int d = 0; d < 4; ++d) {
			int nx = x + dx[d];
			int ny = y + dy[d];
			if (0 <= nx && nx < n && 0 <= ny && ny < m && field[nx][ny] == 0) {
				field[nx][ny] = field[x][y];
				qu.push({nx, ny});
			}
		}
	}

	cout << n << " " << m << "\n";
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			cout << field[i][j];
		}
		cout << "\n";
	}

	return 0;
}