#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int n, m;
	cin >> n >> m;
	vector<vector<char>> field(n, vector<char>(m));
	for (int i = 0; i < n; ++i) {
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			field[i][j] = s[j];
		}
	}

	vector<vector<bool>> d(m + 1, vector<bool>(n * m * 2 + 1));
	for (int i = 0; i <= m; ++i) {
		d[i][n * m] = 1;
	}

	vector<vector<bool>> next(m + 1, vector<bool>(n * m * 2 + 1));

	for (int i = 0; i < n; ++i) {
		if (i) {
			for (int j = 0; j < m; ++j) {
				if (field[i - 1][j] != field[i][j]) {
					for (int k = 0; k <= n * m * 2; ++k) {
						d[j + 1][k] = d[j + 1][k] | d[j][k];
					}
				}
			}
			for (int j = m; j > 0; --j) {
				if (field[i - 1][j - 1] != field[i][j - 1]) {
					for (int k = 0; k <= n * m * 2; ++k) {
						d[j - 1][k] = d[j - 1][k] | d[j][k];
					}
				}
			}
		}
		for (int j = 0; j < m + 1; ++j) {
			fill(next[j].begin(), next[j].end(), 0);
		}
		for (int j = 0; j <= m; ++j) {
			if (j == 0 || j == m || field[i][j - 1] != field[i][j]) {
				for (int k = 0; k <= n * m * 2; ++k) {
					int to = k + j - (m - j);
					if (0 <= to && to <= n * m * 2) {
						next[j][to] = next[j][to] | d[j][k];
					}
				}
			}
		}

		swap(next, d);
		// for (int j = 0; j <= m; ++j) {
		// 	cerr << "y: " << j << "; ";
		// 	for (int k = 0; k <= n * m * 2; ++k) {
		// 		if (d[j][k]) {
		// 			cerr << k - n * m << " ";
		// 		}
		// 	}
		// 	cerr << endl;
		// }
	}

	int ans = INF;
	for (int i = 0; i < m + 1; ++i) {
		for (int j = 0; j <= n * m * 2; ++j) {
			if (d[i][j]) {
				ans = min(ans, abs(j - n * m));
			}
		}
	}

	cout << ans << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
