#ifdef LOCAL
#  define _GLIBCXX_DEBUG
#else
#  define cerr __get_ce
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
mt19937 tw(9450189);
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

const int MAXN = 305;
const int MAXS = MAXN * MAXN;
bitset<MAXS * 2> d[2][MAXN];
bitset<MAXS * 2> ZERO;

void solve() {
	int n, m;
	cin >> n >> m;
	vector<vector<char>> field(n, vector<char>(m));
	for (int i = 0; i < n; ++i) {
		string s;
		cin >> s;
		for (int j = 0; j < m; ++j) {
			field[i][j] = s[j];
		}
	}

	for (int i = 0; i <= m; ++i) {
		d[0][i][n * m] = 1;
	}

	for (int i = 0; i < n; ++i) {
		int cur = i & 1;
		int next = 1 - cur;
		if (i) {
			for (int j = 0; j < m; ++j) {
				if (field[i - 1][j] != field[i][j]) {
					d[cur][j + 1] |= d[cur][j];
				}
			}
			for (int j = m; j > 0; --j) {
				if (field[i - 1][j - 1] != field[i][j - 1]) {
					d[cur][j - 1] |= d[cur][j];
				}
			}
		}
		for (int j = 0; j <= m; ++j) {
			if (j == 0 || j == m || field[i][j - 1] != field[i][j]) {
				int val = j - (m - j);
				if (val < 0) {
					d[next][j] = d[cur][j] >> (-val);
				} else {
					d[next][j] = d[cur][j] << val; 
				}
			} else {
				d[next][j] = ZERO;
			}
		}
	}

	int ans = INF;
	for (int i = 0; i <= m; ++i) {
		for (int j = 0; j <= n * m * 2; ++j) {
			if (d[n & 1][i][j]) {
				ans = min(ans, abs(n * m - j));
			}
		}
	}

	cout << ans << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
