#include <bits/stdc++.h>

const int maxn = 1e5;
const int maxq = maxn * 10;

int n, a, b;
int num[maxn];
std::pair<int, int> queue[maxq];
std::map<int, bool> used;
std::map<int, std::pair<int, int>> pr;

void print_answer() {
    int cur = b;
    std::vector<int> result;
    while (cur != a) {
        const auto &p = pr[cur];
        result.push_back(p.first);
        cur = p.second;
    }
    std::reverse(result.begin(), result.end());
    printf("%d\n", (int)result.size());
    for (int e : result) {
        printf("%d ", e + 1);
    }
    printf("\n");
}

int main() {
    scanf("%d%d%d", &n, &a, &b);
    for (int i = 0; i < n; i++) {
        scanf("%d", &num[i]);
    }
    if (a == b) {
        printf("0\n");
        return 0;
    }
    int head = 0;
    int end = 0;
    queue[end++] = {a, 0};
    int iteration = 0;
    while (head != end) {
        if (++iteration == 100) {
            iteration = 0;
            if ((double)clock() / CLOCKS_PER_SEC > 1.5) {
                printf("-1\n");
                return 0;
            }
        }
        std::pair<int, int> e = queue[head++];
        int x = e.first;
        int d = e.second;
        if (head == maxq) {
            head = 0;
        }
        for (int i = 0; i < n; i++) {
            int nx = (x | num[i]);
            if (used[nx]) {
                continue;
            }
            used[nx] = true;
            pr[nx] = {i, x};
            if (nx == b) {
                print_answer();
                return 0;
            }
            if (d == 50) {
                continue;
            }
            queue[end++] = {nx, d + 1};
            if (end == maxq) {
                end = 0;
            }
        }
    }
    printf("-1\n");
    return 0;
}
